.basket {
  background: #fff;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  position: fixed;
  bottom: 0;
  right: 100px;
  width: 600px;
  height: 600px;
  transform: translateY(100%);
  transition: 400ms cubic-bezier(0.4, 0, 0.2, 1);
  z-index: 1;

  .basket-container {
    transition: 400ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  &.has-selected {

    animation: basketactive 1.4s cubic-bezier(.64,.37,.46,1);
    transform: translateY(92%);
  }

  @keyframes basketactive {
    0% {
      transform: translateY(100%);
    }
    25% {
      transform: translateY(420px);
    }
    75% {
      transform: translateY(420px);
    }
    100% {
      transform: translateY(92%);
    }
  }

  .headline {
    background: $brand-primary;
    color: #fff;
    width: 100%;
    height: 50px;
    line-height: 50px;
    padding: 0 20px;
    border-radius: 4px 4px 0 0;

    span {
      font-weight: 700;
    }

    i {
      color: #fff;
    }
  }

  .content {
    padding: 20px;
    height: 600px;
    overflow-y: auto;
  }

  .ant-menu {
    border-right: 0;

    .ant-menu-item-group-title {
      display: none;
    }

    .ant-menu-item {
      overflow: visible;
    }

    .add-new-menu-item {
      padding: 0;

      a {
        padding: 0 15px;
      }
    }
  }

  .existing {
    .ant-menu-item-group-list {
      border-top: 1px solid #eee;
      padding: 15px 0;
      margin-top: 15px;

      li {
        padding: 0;
        height: 46px;
        line-height: 46px;

        button {
          padding: 0 18px;
          background: $gray-1;
          border-radius: 4px;
          transition: 0.2s ease-out;
          border: none;
          width: 100%;
          text-align: left;

          span {
            font-size: 12px;
            text-transform: uppercase;
          }

          &:hover {
            background: darken($gray-1, 4%);
          }
        }
      }
    }
  }
}

.active {
  .basket {
    transform: translateY(0);
  }

  &:before {
    content: "";
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(42, 45, 53, 0.2);
    top: 0;
    left: 0;
    z-index: 1;
  }
}
